Package it.ernytech.tdlib

## Class TdApi.CreateNewStickerSet

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CreateNewStickerSet

Enclosing class:
  TdApi

    public static class TdApi.CreateNewStickerSet
    extends TdApi.Function

Creates a new sticker set; for bots only. Returns the newly created sticker set.

Returns `StickerSet`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isMasks` True, if stickers are masks.
`java.lang.String` `name` Sticker set name.
`TdApi.InputSticker[]` `stickers` List of stickers to be added to the set.
`java.lang.String` `title` Sticker set title; 1-64 characters.
`int` `userId` Sticker set owner.

### Constructor Summary

Constructors
`CreateNewStickerSet()` Default constructor.
`CreateNewStickerSet​(int userId, java.lang.String title, java.lang.String name, boolean isMasks, TdApi.InputSticker[] stickers)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### userId

    public int userId

Sticker set owner.

#### title

    public java.lang.String title

Sticker set title; 1-64 characters.

#### name

    public java.lang.String name

Sticker set name. Can contain only English letters, digits and underscores. Must end with *"By_<bot username>"* (*<botUsername>* is case insensitive); 1-64 characters.

#### isMasks

    public boolean isMasks

True, if stickers are masks.

#### stickers

    public TdApi.InputSticker[] stickers

List of stickers to be added to the set.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CreateNewStickerSet

    public CreateNewStickerSet()

Default constructor.

#### CreateNewStickerSet

    public CreateNewStickerSet​(int userId,
                               java.lang.String title,
                               java.lang.String name,
                               boolean isMasks,
                               TdApi.InputSticker[] stickers)

Constructor for initialization of all fields.

Parameters:
  `userId` - Sticker set owner.
  `title` - Sticker set title; 1-64 characters.
  `name` - Sticker set name. Can contain only English letters, digits and underscores. Must end with *"By_<bot username>"* (*<botUsername>* is case insensitive); 1-64 characters.
  `isMasks` - True, if stickers are masks.
  `stickers` - List of stickers to be added to the set.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR